## xbase
Class NTXFile

    java.lang.Object
      |
      +--xbase.NTXFile

public class NTXFile
extends java.lang.Object

Xbase index file for Clipper .NTX files

Constructor Summary
`NTXFile(java.lang.String idxName, int[] key)` Opens the index file.

Method Summary
`int` `getKeyLength()`
`xbase.NTXNode` `getNode(int loc, xbase.EstimateRange r)` Get an index node.
`xbase.NTXNode` `getRootNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTXFile

    public NTXFile(java.lang.String idxName,
                   int[] key)
            throws java.io.IOException

  Opens the index file. If it can't find it it throws an IOException
  Parameters:
    `idxName` - Index filename without a file extension.
    `key` - The file encryption key if needed.

Method Detail

### getNode

    public xbase.NTXNode getNode(int loc,
                                 xbase.EstimateRange r)
                          throws java.io.IOException

  Get an index node. This is synchronized to protect the file positioning and reading inside NTXNode.load().
  Parameters:
    `loc` - The file location offset of the desired index node.
    `r` - The Estimate range for this index.
  Returns:
    The index node.

### getRootNode

    public xbase.NTXNode getRootNode()
                              throws java.io.IOException

### getKeyLength

    public int getKeyLength()